Swiftpack.co - Package - ResearchSuite/sdl-rkx

sdlrkx

The Small Data Lab ResearchKit Extensions package is the easiest way to include SDL AVA (YADL, MEDL, PAM) and Behavioral extensions (Go / No Go, Delayed Discounting, BART) into a ResearchKit application.

Requirements

  • iOS 10.0+
  • Xcode 7.3+

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

CocoaPods 1.0.0+ is required to build sdlrkx 0.1.0+.

To integrate sdlrkx into your Xcode project using CocoaPods, specify it in your Podfile:

platform :ios, '10.0'
use_frameworks!

pod 'sdlrkx', '~> 0.17'

Then, run the following command:

$ pod install

Example

To run the example project, clone the repo, and run pod install from the Example directory first.

Author

James Kizer @ Cornell Tech Foundry

License

sdlrkx is available under the Apache 2.0 license. See the LICENSE file for more info.

Github

link
Stars: 5
Help us keep the lights on

Dependencies

Used By

Total: 0